Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QListView.Movement

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QListView.Movement

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QListView

    public static final class QListView.Movement

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QListView.Movement` | `Free` The items can be moved freely by the user.
`static QListView.Movement` | `Snap` The items snap to the specified grid when moved; see setGridSize().
`static QListView.Movement` | `Static` The items cannot be moved by the user.

Method Summary
`static QListView.Movement` | `resolve(int value)` Returns the QListView$Movement constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QListView.Movement` | `valueOf(java.lang.String name)`
`static QListView.Movement[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Static

    public static final QListView.Movement Static

  The items cannot be moved by the user.

### Free

    public static final QListView.Movement Free

  The items can be moved freely by the user.

### Snap

    public static final QListView.Movement Snap

  The items snap to the specified grid when moved; see setGridSize().

Method Detail

### values

    public static QListView.Movement[] values()

### valueOf

    public static QListView.Movement valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QListView.Movement resolve(int value)

  Returns the QListView$Movement constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD